#include "level.h"

level_t const *level_all[LEVEL_COUNT] = {
    &level_lv1,
    &level_lv2,
    &level_lv3,
    &level_lv4,
    &level_lv5,
    &level_lvsandbox,
};

int level_wave_count(level_t const *lv)
{
    int wave_count = 0;

    for(int i = 0; i < lv->event_count; i++)
        wave_count += (lv->events[i].type == LEVEL_EVENT_WAVE);

    return wave_count;
}
