#include "comp/entity.h"
#include "comp/physical.h"

vec2 physical_pos(entity_t const *e)
{
    physical_t *p = getcomp(e, physical);
    return (vec2){ p->x, p->y };
}

rect physical_abs_hitbox(entity_t const *e)
{
    physical_t *p = getcomp(e, physical);
    return rect_translate(p->hitbox, (vec2){ p->x, p->y });
}
